---Better Contracts

---@author Emperor of Modding
---@version 1.1.0.0
---@date 25/02/2021

function MissionManager:update(dt)
    if g_currentMission:getIsServer() then
        self.generationTimer = self.generationTimer - g_currentMission.missionInfo.timeScale * dt

        self:updateMissions(dt)

        if self.generationTimer <= 0 then
            if #self.missions < MissionManager.MAX_MISSIONS then
                self:generateMissions(dt)
            end
            -- Limit generation
            self.generationTimer = MissionManager.MISSION_GENERATION_INTERVAL
        end
    end
end
